<?php
$id_pedido = $_GET['id'];
$pedidos = json_decode(file_get_contents('db/pedidos.json'), true);

$status = 'pendente';
foreach($pedidos as $p) {
    if($p['id'] == $id_pedido) {
        $status = $p['status'];
        break;
    }
}

echo json_encode(['status' => $status]);